<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.administration-workspace.projects.dialog.title.change-execution-status-already-in-use'
  "
  [dialogId]="CHANGE_EXEC_STATUS_USED_DIALOG_ID"
  (confirm)="confirm()"
>
  <sqtm-core-dialog-body>
    <div class="body-content m-t-5">
      <div class="flex-row">
        <i
          nz-icon
          class="sqtm-core-icon"
          nzType="exclamation-circle"
          nzTheme="twotone"
          [nzTwotoneColor]="'#FAAD14'"
        >
        </i>
        <span
          [innerHTML]="
            'sqtm-core.administration-workspace.projects.dialog.message.change-execution-status-already-in-use'
              | translate
          "
        ></span>
      </div>
      <div>
        <div class="m-10" [formGroup]="formGroup">
          <div class="sqtm-core-dialog-form p-4">
            <label class="label label__align_right"
              >{{ 'sqtm-core.entity.execution.status.label' | translate }}
            </label>
            <sqtm-core-select-field
              [formGroup]="formGroup"
              [disabled]="true"
              [fieldName]="'status'"
              [options]="statusOptions"
              [serverSideFieldValidationError]="serverSideValidationErrors"
            >
            </sqtm-core-select-field>
          </div>
        </div>
      </div>
    </div>
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
